Subject: [Instant-dev] Circular logic in cache features

From: "Martin Sandve Alnæs" <[email-masked]>
Date: Mon, 8 Sep 2008 11:48:22 +0200

I've promised some things that are not compatible in the cache
handling (my head was just about to explode (or perhaps segfault)
because of this).

We can't _both_ make Instant adding compile flags to the signature
automatically _and_ use the signature directly as the module name (if
it is a valid name). Adding compiler flags automatically is an
important feature, so I will stay with computing a checksum of the
signature and compiler args. Thus we will have a checksum computation
in both FFC/SFC to determine class name of the form (which shouldn't
depend on the compiler args!), and a checksum computation in Instant
to determine the name of the compiled module (which should depend on
the compiler arguments).

--
Martin